Create Agent Session Activity
curl --request POST \
--url https://api.opensink.com/api/v1/agent-session-activities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"payload": {},
"links": [
{
"text": "<string>",
"href": "<string>"
}
]
}
'import requests
url = "https://api.opensink.com/api/v1/agent-session-activities"
payload = {
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"payload": {},
"links": [
{
"text": "<string>",
"href": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
session_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
related_entity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
message: '<string>',
payload: {},
links: [{text: '<string>', href: '<string>'}]
})
};
fetch('https://api.opensink.com/api/v1/agent-session-activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"payload": {},
"links": [
{
"text": "<string>",
"href": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"payload": {},
"links": [
{
"text": "<string>",
"href": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Bad request"
}{
"error": "Unauthorized"
}{
"error": "Insufficient permissions"
}Agent Session Activity
Create Agent Session Activity
Create a new activity for a session
Required scope: agent_session_activities:write, agent_session_activities:all, or all:all
POST
/
api
/
v1
/
agent-session-activities
Create Agent Session Activity
Authorizations
API key authentication
Body
application/json
Parent session ID
Parent agent ID
Activity type
Available options:
session_started, session_ended, message, input_request_created, input_request_resolved, sink_item_created, state_updated Activity source
Available options:
system, agent, user Related entity ID (e.g., input request ID, sink item ID)
Human-readable message
Additional activity data
Associated links
Show child attributes
Show child attributes
Response
An activity log entry for an agent session
An activity log entry for an agent session
Unique identifier
Parent session ID
Parent agent ID
Workspace ID
Activity type
Available options:
session_started, session_ended, message, input_request_created, input_request_resolved, sink_item_created, state_updated Activity source
Available options:
system, agent, user Related entity ID (e.g., input request ID, sink item ID)
Human-readable message
Additional activity data
Associated links
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp
⌘I

